

<section class="intro">
  <div class="input-group rounded">
  <button type="button" class="btn btn-outline-success btn-sm px-3"  (click)="setDisplay()" >
    <i class="fas fa-times">  Ajouter</i>
  </button>
  </div>
  <hr>
  <form class="form-inline">
    <input class="form-control mr-sm-2" name="search"  [(ngModel)]="searchText"
           type="text" placeholder="&#61442; Saisir votre recherche" autocomplete="off" aria-label="Search">
  </form>
<hr>
  <div class="bg-image h-100" style="background-color: #6095F0;">
    <div class="mask d-flex align-items-center h-100">
      <div class="container">
        <div class="row justify-content-center">
          <div class="col-12">
            <div class="card shadow-2-strong" style="background-color: #f5f7fa;">
              <div class="card-body">
                <div class="table-responsive">
                  <table class="table table-borderless mb-0">
                    <thead>
                    <tr>
                      <th scope="col">
                        <div class="form-check">
                          <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault" />
                        </div>
                      </th>
                      <th scope="col">#</th>
                      <th scope="col">Prenom Nom</th>
                      <th scope="col">Date de naissance</th>
                      <th scope="col">Adresse</th>
                      <th scope="col">@</th>
                      <th scope="col">TEL</th>

                      <th scope="col"></th>
                      <th scope="col"></th>
                    </tr>
                    </thead>
                    <tbody>

                   <tr *ngFor="let membre of liste | filter: searchText ">
                      <th scope="row">
                        <div class="form-check">
                          <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault1" checked/>
                        </div>
                      </th>
                      <td>{{membre.id}}</td>
                      <td>{{membre.prenom}} {{membre.name}}</td>
                      <td>{{membre.dateNaisc}}</td>

                      <td>{{membre.adresseP}}</td>
                      <td>{{membre.email}}</td>
                      <td>{{membre.NumTel}}</td>
                      <td>
                        <button type="button" class="btn btn-danger btn-sm px-3" (click)="delete(membre)">
                          <i class="fas fa-times"><img width="22" src="assets/images/sup.jpg"></i>
                        </button>
                      </td>
                      <td>
                        <button type="button" class="btn btn-warning btn-sm px-3"  (click)="modifRoute(membre.id)">
                          <i class="fas fa-times"><img width="22"src="assets/images/téléchargement.png"></i>
                        </button>

                      </td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<app-form-inscription [hidden]="display"></app-form-inscription>
<router-outlet></router-outlet>
